Sharing is helping.

We offer you this space to share your knowledge about Magento and learn from our experienced customers.


    Yes it is, all our themes are compatible with 1.5.1.0

    Cheers!.-